Subject: Re: [regext] WG LAST CALL: draft-ietf-regext-unhandled-namespaces-03

From: "Patrick Mevzek" <[email-masked]>
Date: Mon, 02 Nov 2020 10:09:34 -0500

On Tue, Oct 27, 2020, at 10:55, Thomas Corte wrote:
> If a registry really wants registrars to understand and process their
> custom poll messages, it can still resort to simply reject the <login>
> command if it doesn't contain the namespace in question.

That would certainly have my preference and it has one big bonus attached to it:
no need of any change in the protocol, no need of any new extension/namespace,
no need of any new specification.

Sometimes the best solutions are not the technical ones.

And it is not so much a stretch: many, but not all, registries mandate a
"technical accreditation" at the beginning of the relationship with a given registrar.
Adding a requirement there to support some namespaces is not a big change
(a registrar is free of course to signal it during login and then just ignore
those messages if he wants to ignore them, but then the responsibility clearly
falls on his end and he is in control of his fate because he signaled the namespaces
at login, without the registry forcing delivery to it of messages with "dubious"
validity per RFC 5730).

-- 
  Patrick Mevzek
  [email-masked]

---

From: "James Galvin" <[email-masked]>
Date: Mon, 09 Nov 2020 12:01:01 -0500

The WGLC for this document is now closed.

Thanks to the working group for the additional discussion on the concern 
raised by Patrick Mevzek.  Two additional people - Thomas Corte and 
Martin Casanova - have indicated their support for the document.

The Chairs believe this document is now ready for submission to the 
IESG.  The document shepherd, David Smith, is requested to prepare the 
shepherd writeup.  Please be sure to note the last concern raised and 
its resolution in the technical writeup.

Thanks,

Antoin and Jim

On 26 Oct 2020, at 10:01, James Galvin wrote:

> The Chairs would like to extend this WG Last Call for an additional 
> two weeks, to close on Friday, 30 October 2020.
>
> Although there have been 3 indications of support, Patrick Mevzek and 
> James Gould have been having an extended discussion on the mailing 
> list about one issue.  The chairs believe it is important to get 
> additional points of view, ideally from other EPP client developers 
> but all opinions are welcome.
>
> Current consensus is to seek publication.  However, we are a 
> relatively small group and we would like all comments considered by 
> multiple people.  Would others please indicate their point of view in 
> the active thread between James and Patrick?
>
> Thank you,
>
> Antoin and Jim
>
>
>
>
> On 2 Oct 2020, at 16:52, James Galvin wrote:
>
>> The following working group document is believed to be ready for 
>> submission to the IESG for publication as a standards track document:
>>
>> https://datatracker.ietf.org/doc/draft-ietf-regext-unhandled-namespaces/
>>
>> This WG last call will end at close of business, Friday, 16 October 
>> 2020.
>>
>> Please review this document and indicate your support (a simple 
>> “+1” is sufficient) or concerns with the publication of this 
>> document by replying to this message on the list.
>>
>> The document shepherd for this document is David Smith.
>>
>> Regards,
>>
>> Antoin and Jim